---
SPDXID: "SPDXRef-DOCUMENT"
spdxVersion: "SPDX-2.2"
creationInfo:
  created: "2023-05-23T19:46:37Z"
  creators:
  - "Tool: OSS Review Toolkit - cc543c9380-dirty"
  licenseListVersion: "3.19"
name: "Unnamed document"
dataLicense: "CC0-1.0"
documentNamespace: "spdx://a1412faa-8cb3-4a2a-a4d6-87f261d0e99f"
documentDescribes:
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.base-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.base.ide-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.base.ui-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.cli-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.feature-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.library.extension-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.library.stdlib-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.arduino-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.arduino.feature-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.cgw-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.cgw.feature-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.ide-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.ui-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.unittest-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.x86-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.x86.feature-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.xdk110-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.xdk110.feature-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.program-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.program.ide-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.program.tests-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.program.ui-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.releng-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.repository-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.target-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.website-0.2.0-SNAPSHOT"
- "SPDXRef-Project-Unmanaged-mita-031b0e7b8eeee8d6ef6140174848e12a0669a592"
packages:
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.base-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.base"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.base.ide-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.base.ide"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.base.ui-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.base.ui"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.cli-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.cli"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.feature-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.feature"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.library.extension-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.library.extension"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.library.stdlib-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.library.stdlib"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.arduino-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.arduino"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.arduino.feature-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.arduino.feature"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.cgw-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.cgw"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.cgw.feature-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.cgw.feature"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.ide-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.ide"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.ui-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.ui"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.unittest-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.unittest"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.x86-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.x86"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.x86.feature-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.x86.feature"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.xdk110-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.xdk110"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.platform.xdk110.feature-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.platform.xdk110.feature"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.program-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.program"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.program.ide-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.program.ide"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.program.tests-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.program.tests"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.program.ui-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.program.ui"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.releng-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.releng"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.repository-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.repository"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.target-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.target"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.website-0.2.0-SNAPSHOT"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.mita.website"
  summary: "NONE"
  versionInfo: "0.2.0-SNAPSHOT"
- SPDXID: "SPDXRef-Project-Unmanaged-mita-031b0e7b8eeee8d6ef6140174848e12a0669a592"
  copyrightText: "NONE"
  downloadLocation: "NONE"
  filesAnalyzed: false
  homepage: "NONE"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "mita"
  summary: "NONE"
  versionInfo: "031b0e7b8eeee8d6ef6140174848e12a0669a592"
- SPDXID: "SPDXRef-Package-Maven-com.google.code.findbugs-jsr305-3.0.2"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.code.findbugs/jsr305@3.0.2"
  filesAnalyzed: false
  homepage: "http://findbugs.sourceforge.net/"
  licenseConcluded: "Apache-2.0"
  licenseDeclared: "Apache-2.0"
  name: "jsr305"
  summary: "JSR305 Annotations for Findbugs"
  versionInfo: "3.0.2"
- SPDXID: "SPDXRef-Package-Maven-com.google.code.findbugs-jsr305-3.0.2-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://code.google.com/p/jsr-305"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.code.findbugs/jsr305@3.0.2"
  filesAnalyzed: false
  homepage: "http://findbugs.sourceforge.net/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jsr305"
  summary: "JSR305 Annotations for Findbugs"
  versionInfo: "3.0.2"
- SPDXID: "SPDXRef-Package-Maven-com.google.code.findbugs-jsr305-3.0.2-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.code.findbugs/jsr305@3.0.2"
  filesAnalyzed: false
  homepage: "http://findbugs.sourceforge.net/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "jsr305"
  summary: "JSR305 Annotations for Findbugs"
  versionInfo: "3.0.2"
- SPDXID: "SPDXRef-Package-Maven-com.google.code.gson-gson-2.8.9"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/code/gson/gson/2.8.9/gson-2.8.9.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.code.gson/gson@2.8.9"
  filesAnalyzed: false
  homepage: "https://github.com/google/gson/gson"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0"
  name: "gson"
  summary: "Gson JSON library"
  versionInfo: "2.8.9"
- SPDXID: "SPDXRef-Package-Maven-com.google.code.gson-gson-2.8.9-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/google/gson.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.code.gson/gson@2.8.9"
  filesAnalyzed: false
  homepage: "https://github.com/google/gson/gson"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "gson"
  summary: "Gson JSON library"
  versionInfo: "2.8.9"
- SPDXID: "SPDXRef-Package-Maven-com.google.code.gson-gson-2.8.9-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/code/gson/gson/2.8.9/gson-2.8.9-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.code.gson/gson@2.8.9"
  filesAnalyzed: false
  homepage: "https://github.com/google/gson/gson"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "gson"
  summary: "Gson JSON library"
  versionInfo: "2.8.9"
- SPDXID: "SPDXRef-Package-Maven-com.google.errorprone-error-prone-annotations-2.2.0"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/errorprone/error_prone_annotations/2.2.0/error_prone_annotations-2.2.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.errorprone/error_prone_annotations@2.2.0"
  filesAnalyzed: false
  homepage: "http://nexus.sonatype.org/oss-repository-hosting.html/error_prone_parent/error_prone_annotations"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0"
  name: "error_prone_annotations"
  summary: "Sonatype helps open source projects to set up Maven repositories on https://oss.sonatype.org/"
  versionInfo: "2.2.0"
- SPDXID: "SPDXRef-Package-Maven-com.google.errorprone-error-prone-annotations-2.2.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/google/error-prone.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.errorprone/error_prone_annotations@2.2.0"
  filesAnalyzed: false
  homepage: "http://nexus.sonatype.org/oss-repository-hosting.html/error_prone_parent/error_prone_annotations"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "error_prone_annotations"
  summary: "Sonatype helps open source projects to set up Maven repositories on https://oss.sonatype.org/"
  versionInfo: "2.2.0"
- SPDXID: "SPDXRef-Package-Maven-com.google.errorprone-error-prone-annotations-2.2.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/errorprone/error_prone_annotations/2.2.0/error_prone_annotations-2.2.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.errorprone/error_prone_annotations@2.2.0"
  filesAnalyzed: false
  homepage: "http://nexus.sonatype.org/oss-repository-hosting.html/error_prone_parent/error_prone_annotations"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "error_prone_annotations"
  summary: "Sonatype helps open source projects to set up Maven repositories on https://oss.sonatype.org/"
  versionInfo: "2.2.0"
- SPDXID: "SPDXRef-Package-Maven-com.google.guava-failureaccess-1.0.1"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/guava/failureaccess/1.0.1/failureaccess-1.0.1.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.guava/failureaccess@1.0.1"
  filesAnalyzed: false
  homepage: "https://github.com/google/guava/failureaccess"
  licenseConcluded: "Apache-2.0"
  licenseDeclared: "Apache-2.0"
  name: "failureaccess"
  summary: "Contains\n    com.google.common.util.concurrent.internal.InternalFutureFailureAccess\
    \ and\n    InternalFutures. Most users will never need to use this artifact. Its\n\
    \    classes is conceptually a part of Guava, but they're in this separate\n \
    \   artifact so that Android libraries can use them without pulling in all of\n\
    \    Guava (just as they can use ListenableFuture by depending on the\n    listenablefuture\
    \ artifact)."
  versionInfo: "1.0.1"
- SPDXID: "SPDXRef-Package-Maven-com.google.guava-failureaccess-1.0.1-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/google/guava.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.guava/failureaccess@1.0.1"
  filesAnalyzed: false
  homepage: "https://github.com/google/guava/failureaccess"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "failureaccess"
  summary: "Contains\n    com.google.common.util.concurrent.internal.InternalFutureFailureAccess\
    \ and\n    InternalFutures. Most users will never need to use this artifact. Its\n\
    \    classes is conceptually a part of Guava, but they're in this separate\n \
    \   artifact so that Android libraries can use them without pulling in all of\n\
    \    Guava (just as they can use ListenableFuture by depending on the\n    listenablefuture\
    \ artifact)."
  versionInfo: "1.0.1"
- SPDXID: "SPDXRef-Package-Maven-com.google.guava-failureaccess-1.0.1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/guava/failureaccess/1.0.1/failureaccess-1.0.1-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.guava/failureaccess@1.0.1"
  filesAnalyzed: false
  homepage: "https://github.com/google/guava/failureaccess"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "failureaccess"
  summary: "Contains\n    com.google.common.util.concurrent.internal.InternalFutureFailureAccess\
    \ and\n    InternalFutures. Most users will never need to use this artifact. Its\n\
    \    classes is conceptually a part of Guava, but they're in this separate\n \
    \   artifact so that Android libraries can use them without pulling in all of\n\
    \    Guava (just as they can use ListenableFuture by depending on the\n    listenablefuture\
    \ artifact)."
  versionInfo: "1.0.1"
- SPDXID: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/guava/guava/27.1-jre/guava-27.1-jre.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.guava/guava@27.1-jre"
  filesAnalyzed: false
  homepage: "https://github.com/google/guava/guava"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0"
  name: "guava"
  summary: "Guava is a suite of core and expanded libraries that include\n    utility\
    \ classes, google's collections, io classes, and much\n    much more."
  versionInfo: "27.1-jre"
- SPDXID: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/google/guava.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.guava/guava@27.1-jre"
  filesAnalyzed: false
  homepage: "https://github.com/google/guava/guava"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "guava"
  summary: "Guava is a suite of core and expanded libraries that include\n    utility\
    \ classes, google's collections, io classes, and much\n    much more."
  versionInfo: "27.1-jre"
- SPDXID: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/guava/guava/27.1-jre/guava-27.1-jre-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.guava/guava@27.1-jre"
  filesAnalyzed: false
  homepage: "https://github.com/google/guava/guava"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "guava"
  summary: "Guava is a suite of core and expanded libraries that include\n    utility\
    \ classes, google's collections, io classes, and much\n    much more."
  versionInfo: "27.1-jre"
- SPDXID: "SPDXRef-Package-Maven-com.google.guava-listenablefuture-9999.0-empty-to-avoid-conflict-with-guava"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/guava/listenablefuture/9999.0-empty-to-avoid-conflict-with-guava/listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.guava/listenablefuture@9999.0-empty-to-avoid-conflict-with-guava"
  filesAnalyzed: false
  homepage: "https://github.com/google/guava/listenablefuture"
  licenseConcluded: "Apache-2.0"
  licenseDeclared: "Apache-2.0"
  name: "listenablefuture"
  summary: "An empty artifact that Guava depends on to signal that it is providing\n\
    \    ListenableFuture -- but is also available in a second \"version\" that\n\
    \    contains com.google.common.util.concurrent.ListenableFuture class, without\n\
    \    any other Guava classes. The idea is:\n\n    - If users want only ListenableFuture,\
    \ they depend on listenablefuture-1.0.\n\n    - If users want all of Guava, they\
    \ depend on guava, which, as of Guava\n    27.0, depends on\n    listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.\
    \ The 9999.0-...\n    version number is enough for some build systems (notably,\
    \ Gradle) to select\n    that empty artifact over the \"real\" listenablefuture-1.0\
    \ -- avoiding a\n    conflict with the copy of ListenableFuture in guava itself.\
    \ If users are\n    using an older version of Guava or a build system other than\
    \ Gradle, they\n    may see class conflicts. If so, they can solve them by manually\
    \ excluding\n    the listenablefuture artifact or manually forcing their build\
    \ systems to\n    use 9999.0-...."
  versionInfo: "9999.0-empty-to-avoid-conflict-with-guava"
- SPDXID: "SPDXRef-Package-Maven-com.google.guava-listenablefuture-9999.0-empty-to-avoid-conflict-with-guava-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/google/guava.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.guava/listenablefuture@9999.0-empty-to-avoid-conflict-with-guava"
  filesAnalyzed: false
  homepage: "https://github.com/google/guava/listenablefuture"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "listenablefuture"
  summary: "An empty artifact that Guava depends on to signal that it is providing\n\
    \    ListenableFuture -- but is also available in a second \"version\" that\n\
    \    contains com.google.common.util.concurrent.ListenableFuture class, without\n\
    \    any other Guava classes. The idea is:\n\n    - If users want only ListenableFuture,\
    \ they depend on listenablefuture-1.0.\n\n    - If users want all of Guava, they\
    \ depend on guava, which, as of Guava\n    27.0, depends on\n    listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.\
    \ The 9999.0-...\n    version number is enough for some build systems (notably,\
    \ Gradle) to select\n    that empty artifact over the \"real\" listenablefuture-1.0\
    \ -- avoiding a\n    conflict with the copy of ListenableFuture in guava itself.\
    \ If users are\n    using an older version of Guava or a build system other than\
    \ Gradle, they\n    may see class conflicts. If so, they can solve them by manually\
    \ excluding\n    the listenablefuture artifact or manually forcing their build\
    \ systems to\n    use 9999.0-...."
  versionInfo: "9999.0-empty-to-avoid-conflict-with-guava"
- SPDXID: "SPDXRef-Package-Maven-com.google.j2objc-j2objc-annotations-1.1"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/j2objc/j2objc-annotations/1.1/j2objc-annotations-1.1.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.j2objc/j2objc-annotations@1.1"
  filesAnalyzed: false
  homepage: "https://github.com/google/j2objc/"
  licenseConcluded: "Apache-2.0"
  licenseDeclared: "Apache-2.0"
  name: "j2objc-annotations"
  summary: "A set of annotations that provide additional information to the J2ObjC\n\
    \    translator to modify the result of translation."
  versionInfo: "1.1"
- SPDXID: "SPDXRef-Package-Maven-com.google.j2objc-j2objc-annotations-1.1-vcs"
  copyrightText: "NONE"
  downloadLocation: "svn+http://svn.sonatype.org/spice"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.j2objc/j2objc-annotations@1.1"
  filesAnalyzed: false
  homepage: "https://github.com/google/j2objc/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "j2objc-annotations"
  summary: "A set of annotations that provide additional information to the J2ObjC\n\
    \    translator to modify the result of translation."
  versionInfo: "1.1"
- SPDXID: "SPDXRef-Package-Maven-com.google.j2objc-j2objc-annotations-1.1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/com/google/j2objc/j2objc-annotations/1.1/j2objc-annotations-1.1-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/com.google.j2objc/j2objc-annotations@1.1"
  filesAnalyzed: false
  homepage: "https://github.com/google/j2objc/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "j2objc-annotations"
  summary: "A set of annotations that provide additional information to the J2ObjC\n\
    \    translator to modify the result of translation."
  versionInfo: "1.1"
- SPDXID: "SPDXRef-Package-Maven-commons-cli-commons-cli-1.4"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/commons-cli/commons-cli/1.4/commons-cli-1.4.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/commons-cli/commons-cli@1.4"
  filesAnalyzed: false
  homepage: "http://commons.apache.org/proper/commons-cli/"
  licenseConcluded: "Apache-2.0"
  licenseDeclared: "Apache-2.0"
  name: "commons-cli"
  summary: "Apache Commons CLI provides a simple API for presenting, processing and\
    \ validating a command line interface."
  versionInfo: "1.4"
- SPDXID: "SPDXRef-Package-Maven-commons-cli-commons-cli-1.4-vcs"
  copyrightText: "NONE"
  downloadLocation: "svn+http://svn.apache.org/repos/asf/commons/proper/cli"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/commons-cli/commons-cli@1.4"
  filesAnalyzed: false
  homepage: "http://commons.apache.org/proper/commons-cli/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons-cli"
  summary: "Apache Commons CLI provides a simple API for presenting, processing and\
    \ validating a command line interface."
  versionInfo: "1.4"
- SPDXID: "SPDXRef-Package-Maven-commons-cli-commons-cli-1.4-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/commons-cli/commons-cli/1.4/commons-cli-1.4-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/commons-cli/commons-cli@1.4"
  filesAnalyzed: false
  homepage: "http://commons.apache.org/proper/commons-cli/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "commons-cli"
  summary: "Apache Commons CLI provides a simple API for presenting, processing and\
    \ validating a command line interface."
  versionInfo: "1.4"
- SPDXID: "SPDXRef-Package-Maven-log4j-log4j-1.2.16"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/log4j/log4j/1.2.16/log4j-1.2.16.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/log4j/log4j@1.2.16"
  filesAnalyzed: false
  homepage: "http://logging.apache.org/log4j/1.2/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "Apache-2.0"
  name: "log4j"
  summary: "Apache Log4j 1.2"
  versionInfo: "1.2.16"
- SPDXID: "SPDXRef-Package-Maven-log4j-log4j-1.2.16-vcs"
  copyrightText: "NONE"
  downloadLocation: "svn+http://svn.apache.org/repos/asf/logging/log4j"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/log4j/log4j@1.2.16"
  filesAnalyzed: false
  homepage: "http://logging.apache.org/log4j/1.2/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "log4j"
  summary: "Apache Log4j 1.2"
  versionInfo: "1.2.16"
- SPDXID: "SPDXRef-Package-Maven-log4j-log4j-1.2.16-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/log4j/log4j/1.2.16/log4j-1.2.16-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/log4j/log4j@1.2.16"
  filesAnalyzed: false
  homepage: "http://logging.apache.org/log4j/1.2/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "log4j"
  summary: "Apache Log4j 1.2"
  versionInfo: "1.2.16"
- SPDXID: "SPDXRef-Package-Maven-org.checkerframework-checker-qual-2.5.2"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/checkerframework/checker-qual/2.5.2/checker-qual-2.5.2.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.checkerframework/checker-qual@2.5.2"
  filesAnalyzed: false
  homepage: "https://checkerframework.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "checker-qual"
  summary: "Checker Qual is the set of annotations (qualifiers) and supporting classes\n\
    \        used by the Checker Framework to type check Java source code.  Please\n\
    \        see artifact:\n        org.checkerframework:checker"
  versionInfo: "2.5.2"
- SPDXID: "SPDXRef-Package-Maven-org.checkerframework-checker-qual-2.5.2-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/typetools/checker-framework.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.checkerframework/checker-qual@2.5.2"
  filesAnalyzed: false
  homepage: "https://checkerframework.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "checker-qual"
  summary: "Checker Qual is the set of annotations (qualifiers) and supporting classes\n\
    \        used by the Checker Framework to type check Java source code.  Please\n\
    \        see artifact:\n        org.checkerframework:checker"
  versionInfo: "2.5.2"
- SPDXID: "SPDXRef-Package-Maven-org.checkerframework-checker-qual-2.5.2-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/checkerframework/checker-qual/2.5.2/checker-qual-2.5.2-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.checkerframework/checker-qual@2.5.2"
  filesAnalyzed: false
  homepage: "https://checkerframework.org"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "checker-qual"
  summary: "Checker Qual is the set of annotations (qualifiers) and supporting classes\n\
    \        used by the Checker Framework to type check Java source code.  Please\n\
    \        see artifact:\n        org.checkerframework:checker"
  versionInfo: "2.5.2"
- SPDXID: "SPDXRef-Package-Maven-org.codehaus.mojo-animal-sniffer-annotations-1.17"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/codehaus/mojo/animal-sniffer-annotations/1.17/animal-sniffer-annotations-1.17.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.codehaus.mojo/animal-sniffer-annotations@1.17"
  filesAnalyzed: false
  homepage: "http://www.mojohaus.org/animal-sniffer/animal-sniffer-annotations"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "MIT"
  name: "animal-sniffer-annotations"
  summary: "Animal Sniffer Parent POM."
  versionInfo: "1.17"
- SPDXID: "SPDXRef-Package-Maven-org.codehaus.mojo-animal-sniffer-annotations-1.17-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://github.com/mojohaus/animal-sniffer.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.codehaus.mojo/animal-sniffer-annotations@1.17"
  filesAnalyzed: false
  homepage: "http://www.mojohaus.org/animal-sniffer/animal-sniffer-annotations"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "animal-sniffer-annotations"
  summary: "Animal Sniffer Parent POM."
  versionInfo: "1.17"
- SPDXID: "SPDXRef-Package-Maven-org.codehaus.mojo-animal-sniffer-annotations-1.17-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/codehaus/mojo/animal-sniffer-annotations/1.17/animal-sniffer-annotations-1.17-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.codehaus.mojo/animal-sniffer-annotations@1.17"
  filesAnalyzed: false
  homepage: "http://www.mojohaus.org/animal-sniffer/animal-sniffer-annotations"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "animal-sniffer-annotations"
  summary: "Animal Sniffer Parent POM."
  versionInfo: "1.17"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j/0.12.0/org.eclipse.lsp4j-0.12.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.lsp4j/org.eclipse.lsp4j@0.12.0"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/lsp4j"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "org.eclipse.lsp4j"
  summary: "Java bindings for the Language Server Protocol"
  versionInfo: "0.12.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+ssh://github.com/eclipse/lsp4j.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.lsp4j/org.eclipse.lsp4j@0.12.0"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/lsp4j"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.lsp4j"
  summary: "Java bindings for the Language Server Protocol"
  versionInfo: "0.12.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j/0.12.0/org.eclipse.lsp4j-0.12.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.lsp4j/org.eclipse.lsp4j@0.12.0"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/lsp4j"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.lsp4j"
  summary: "Java bindings for the Language Server Protocol"
  versionInfo: "0.12.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.generator-0.12.0"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j.generator/0.12.0/org.eclipse.lsp4j.generator-0.12.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.lsp4j/org.eclipse.lsp4j.generator@0.12.0"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/lsp4j"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "org.eclipse.lsp4j.generator"
  summary: "Code generator for Language Server Protocol classes"
  versionInfo: "0.12.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.generator-0.12.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+ssh://github.com/eclipse/lsp4j.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.lsp4j/org.eclipse.lsp4j.generator@0.12.0"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/lsp4j"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.lsp4j.generator"
  summary: "Code generator for Language Server Protocol classes"
  versionInfo: "0.12.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.generator-0.12.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j.generator/0.12.0/org.eclipse.lsp4j.generator-0.12.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.lsp4j/org.eclipse.lsp4j.generator@0.12.0"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/lsp4j"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.lsp4j.generator"
  summary: "Code generator for Language Server Protocol classes"
  versionInfo: "0.12.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.jsonrpc-0.12.0"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j.jsonrpc/0.12.0/org.eclipse.lsp4j.jsonrpc-0.12.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.lsp4j/org.eclipse.lsp4j.jsonrpc@0.12.0"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/lsp4j"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "org.eclipse.lsp4j.jsonrpc"
  summary: "Generic JSON-RPC implementation"
  versionInfo: "0.12.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.jsonrpc-0.12.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+ssh://github.com/eclipse/lsp4j.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.lsp4j/org.eclipse.lsp4j.jsonrpc@0.12.0"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/lsp4j"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.lsp4j.jsonrpc"
  summary: "Generic JSON-RPC implementation"
  versionInfo: "0.12.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.jsonrpc-0.12.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j.jsonrpc/0.12.0/org.eclipse.lsp4j.jsonrpc-0.12.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.lsp4j/org.eclipse.lsp4j.jsonrpc@0.12.0"
  filesAnalyzed: false
  homepage: "https://github.com/eclipse/lsp4j"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.lsp4j.jsonrpc"
  summary: "Generic JSON-RPC implementation"
  versionInfo: "0.12.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/xtend/org.eclipse.xtend.lib/2.24.0/org.eclipse.xtend.lib-2.24.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.xtend/org.eclipse.xtend.lib@2.24.0"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/Xtext/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "org.eclipse.xtend.lib"
  summary: "The runtime library for the Xtend programming language."
  versionInfo: "2.24.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+ssh://github.com/eclipse/xtext-lib.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.xtend/org.eclipse.xtend.lib@2.24.0"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/Xtext/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.xtend.lib"
  summary: "The runtime library for the Xtend programming language."
  versionInfo: "2.24.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/xtend/org.eclipse.xtend.lib/2.24.0/org.eclipse.xtend.lib-2.24.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.xtend/org.eclipse.xtend.lib@2.24.0"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/Xtext/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.xtend.lib"
  summary: "The runtime library for the Xtend programming language."
  versionInfo: "2.24.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib.macro-2.24.0"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/xtend/org.eclipse.xtend.lib.macro/2.24.0/org.eclipse.xtend.lib.macro-2.24.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.xtend/org.eclipse.xtend.lib.macro@2.24.0"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/Xtext/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "org.eclipse.xtend.lib.macro"
  summary: "The active annotations library for the Xtend programming language."
  versionInfo: "2.24.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib.macro-2.24.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+ssh://github.com/eclipse/xtext-lib.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.xtend/org.eclipse.xtend.lib.macro@2.24.0"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/Xtext/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.xtend.lib.macro"
  summary: "The active annotations library for the Xtend programming language."
  versionInfo: "2.24.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib.macro-2.24.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/xtend/org.eclipse.xtend.lib.macro/2.24.0/org.eclipse.xtend.lib.macro-2.24.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.xtend/org.eclipse.xtend.lib.macro@2.24.0"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/Xtext/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.xtend.lib.macro"
  summary: "The active annotations library for the Xtend programming language."
  versionInfo: "2.24.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.xtext-org.eclipse.xtext.xbase.lib-2.24.0"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/xtext/org.eclipse.xtext.xbase.lib/2.24.0/org.eclipse.xtext.xbase.lib-2.24.0.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.xtext/org.eclipse.xtext.xbase.lib@2.24.0"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/Xtext/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "EPL-2.0"
  name: "org.eclipse.xtext.xbase.lib"
  summary: "The runtime library for Xbase languages."
  versionInfo: "2.24.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.xtext-org.eclipse.xtext.xbase.lib-2.24.0-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+ssh://github.com/eclipse/xtext-lib.git"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.xtext/org.eclipse.xtext.xbase.lib@2.24.0"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/Xtext/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.xtext.xbase.lib"
  summary: "The runtime library for Xbase languages."
  versionInfo: "2.24.0"
- SPDXID: "SPDXRef-Package-Maven-org.eclipse.xtext-org.eclipse.xtext.xbase.lib-2.24.0-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/eclipse/xtext/org.eclipse.xtext.xbase.lib/2.24.0/org.eclipse.xtext.xbase.lib-2.24.0-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.eclipse.xtext/org.eclipse.xtext.xbase.lib@2.24.0"
  filesAnalyzed: false
  homepage: "https://www.eclipse.org/Xtext/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "org.eclipse.xtext.xbase.lib"
  summary: "The runtime library for Xbase languages."
  versionInfo: "2.24.0"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-9.1"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/ow2/asm/asm/9.1/asm-9.1.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "BSD-3-Clause"
  licenseDeclared: "BSD-3-Clause"
  name: "asm"
  summary: "ASM, a very small and fast Java bytecode manipulation framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-9.1-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://gitlab.ow2.org/asm/asm"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "asm"
  summary: "ASM, a very small and fast Java bytecode manipulation framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-9.1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/ow2/asm/asm/9.1/asm-9.1-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "asm"
  summary: "ASM, a very small and fast Java bytecode manipulation framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-analysis-9.1"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/ow2/asm/asm-analysis/9.1/asm-analysis-9.1.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm-analysis@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "BSD-3-Clause"
  licenseDeclared: "BSD-3-Clause"
  name: "asm-analysis"
  summary: "Static code analysis API of ASM, a very small and fast Java bytecode manipulation\
    \ framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-analysis-9.1-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://gitlab.ow2.org/asm/asm"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm-analysis@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "asm-analysis"
  summary: "Static code analysis API of ASM, a very small and fast Java bytecode manipulation\
    \ framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-analysis-9.1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/ow2/asm/asm-analysis/9.1/asm-analysis-9.1-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm-analysis@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "asm-analysis"
  summary: "Static code analysis API of ASM, a very small and fast Java bytecode manipulation\
    \ framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-commons-9.1"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/ow2/asm/asm-commons/9.1/asm-commons-9.1.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm-commons@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "BSD-3-Clause"
  licenseDeclared: "BSD-3-Clause"
  name: "asm-commons"
  summary: "Usefull class adapters based on ASM, a very small and fast Java bytecode\
    \ manipulation framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-commons-9.1-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://gitlab.ow2.org/asm/asm"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm-commons@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "asm-commons"
  summary: "Usefull class adapters based on ASM, a very small and fast Java bytecode\
    \ manipulation framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-commons-9.1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/ow2/asm/asm-commons/9.1/asm-commons-9.1-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm-commons@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "asm-commons"
  summary: "Usefull class adapters based on ASM, a very small and fast Java bytecode\
    \ manipulation framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-tree-9.1"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/ow2/asm/asm-tree/9.1/asm-tree-9.1.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm-tree@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "BSD-3-Clause"
  licenseDeclared: "BSD-3-Clause"
  name: "asm-tree"
  summary: "Tree API of ASM, a very small and fast Java bytecode manipulation framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-tree-9.1-vcs"
  copyrightText: "NONE"
  downloadLocation: "git+https://gitlab.ow2.org/asm/asm"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm-tree@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "asm-tree"
  summary: "Tree API of ASM, a very small and fast Java bytecode manipulation framework"
  versionInfo: "9.1"
- SPDXID: "SPDXRef-Package-Maven-org.ow2.asm-asm-tree-9.1-source-artifact"
  copyrightText: "NONE"
  downloadLocation: "https://repo.maven.apache.org/maven2/org/ow2/asm/asm-tree/9.1/asm-tree-9.1-sources.jar"
  externalRefs:
  - referenceCategory: "PACKAGE_MANAGER"
    referenceType: "purl"
    referenceLocator: "pkg:maven/org.ow2.asm/asm-tree@9.1"
  filesAnalyzed: false
  homepage: "http://asm.ow2.io/"
  licenseConcluded: "NOASSERTION"
  licenseDeclared: "NOASSERTION"
  name: "asm-tree"
  summary: "Tree API of ASM, a very small and fast Java bytecode manipulation framework"
  versionInfo: "9.1"
relationships:
- spdxElementId: "SPDXRef-Package-Maven-com.google.code.findbugs-jsr305-3.0.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.code.findbugs-jsr305-3.0.2-vcs"
- spdxElementId: "SPDXRef-Package-Maven-com.google.code.findbugs-jsr305-3.0.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.code.findbugs-jsr305-3.0.2-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-com.google.code.gson-gson-2.8.9"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.code.gson-gson-2.8.9-vcs"
- spdxElementId: "SPDXRef-Package-Maven-com.google.code.gson-gson-2.8.9"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.code.gson-gson-2.8.9-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-com.google.errorprone-error-prone-annotations-2.2.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.errorprone-error-prone-annotations-2.2.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-com.google.errorprone-error-prone-annotations-2.2.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.errorprone-error-prone-annotations-2.2.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-failureaccess-1.0.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.guava-failureaccess-1.0.1-vcs"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-failureaccess-1.0.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.guava-failureaccess-1.0.1-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.guava-failureaccess-1.0.1"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.guava-listenablefuture-9999.0-empty-to-avoid-conflict-with-guava"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.code.findbugs-jsr305-3.0.2"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.checkerframework-checker-qual-2.5.2"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.errorprone-error-prone-annotations-2.2.0"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.j2objc-j2objc-annotations-1.1"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.codehaus.mojo-animal-sniffer-annotations-1.17"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre-vcs"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-com.google.guava-listenablefuture-9999.0-empty-to-avoid-conflict-with-guava"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.guava-listenablefuture-9999.0-empty-to-avoid-conflict-with-guava-vcs"
- spdxElementId: "SPDXRef-Package-Maven-com.google.j2objc-j2objc-annotations-1.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.j2objc-j2objc-annotations-1.1-vcs"
- spdxElementId: "SPDXRef-Package-Maven-com.google.j2objc-j2objc-annotations-1.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.j2objc-j2objc-annotations-1.1-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-commons-cli-commons-cli-1.4"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-commons-cli-commons-cli-1.4-vcs"
- spdxElementId: "SPDXRef-Package-Maven-commons-cli-commons-cli-1.4"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-commons-cli-commons-cli-1.4-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-log4j-log4j-1.2.16"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-log4j-log4j-1.2.16-vcs"
- spdxElementId: "SPDXRef-Package-Maven-log4j-log4j-1.2.16"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-log4j-log4j-1.2.16-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.checkerframework-checker-qual-2.5.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.checkerframework-checker-qual-2.5.2-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.checkerframework-checker-qual-2.5.2"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.checkerframework-checker-qual-2.5.2-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.codehaus.mojo-animal-sniffer-annotations-1.17"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.codehaus.mojo-animal-sniffer-annotations-1.17-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.codehaus.mojo-animal-sniffer-annotations-1.17"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.codehaus.mojo-animal-sniffer-annotations-1.17-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.generator-0.12.0"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.jsonrpc-0.12.0"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.generator-0.12.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.generator-0.12.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.generator-0.12.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.generator-0.12.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.generator-0.12.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.jsonrpc-0.12.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.code.gson-gson-2.8.9"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.jsonrpc-0.12.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.jsonrpc-0.12.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.jsonrpc-0.12.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j.jsonrpc-0.12.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.xtext-org.eclipse.xtext.xbase.lib-2.24.0"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib.macro-2.24.0"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib-2.24.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib.macro-2.24.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib.macro-2.24.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib.macro-2.24.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.xtend-org.eclipse.xtend.lib.macro-2.24.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.xtext-org.eclipse.xtext.xbase.lib-2.24.0"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-com.google.guava-guava-27.1-jre"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.xtext-org.eclipse.xtext.xbase.lib-2.24.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.xtext-org.eclipse.xtext.xbase.lib-2.24.0-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.eclipse.xtext-org.eclipse.xtext.xbase.lib-2.24.0"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.xtext-org.eclipse.xtext.xbase.lib-2.24.0-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.ow2.asm-asm-9.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-9.1-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.ow2.asm-asm-9.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-9.1-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.ow2.asm-asm-analysis-9.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-analysis-9.1-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.ow2.asm-asm-analysis-9.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-analysis-9.1-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.ow2.asm-asm-commons-9.1"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-analysis-9.1"
- spdxElementId: "SPDXRef-Package-Maven-org.ow2.asm-asm-commons-9.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-commons-9.1-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.ow2.asm-asm-commons-9.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-commons-9.1-source-artifact"
- spdxElementId: "SPDXRef-Package-Maven-org.ow2.asm-asm-tree-9.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-tree-9.1-vcs"
- spdxElementId: "SPDXRef-Package-Maven-org.ow2.asm-asm-tree-9.1"
  relationshipType: "GENERATED_FROM"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-tree-9.1-source-artifact"
- spdxElementId: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.cli-0.2.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-commons-cli-commons-cli-1.4"
- spdxElementId: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.cli-0.2.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-log4j-log4j-1.2.16"
- spdxElementId: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.cli-0.2.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.eclipse.lsp4j-org.eclipse.lsp4j-0.12.0"
- spdxElementId: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.cli-0.2.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-commons-9.1"
- spdxElementId: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.cli-0.2.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-tree-9.1"
- spdxElementId: "SPDXRef-Project-Maven-org.eclipse.mita-org.eclipse.mita.cli-0.2.0-SNAPSHOT"
  relationshipType: "DEPENDS_ON"
  relatedSpdxElement: "SPDXRef-Package-Maven-org.ow2.asm-asm-9.1"
